<?php

namespace App\Http\Requests\ItemMaster;

use Illuminate\Foundation\Http\FormRequest;

class ItemSectionStoreRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'group_id' => 'nullable|integer|min:1', // 계층번호
            'title' => 'required|string|max:255',
            'type' => 'required|in:fields,bom',
        ];
    }
}
